<?php
/**
 * Call Center Services: Block Patterns
 *
 * @since Call Center Services 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since Call Center Services 1.0
 *
 * @return void
 */
function call_center_services_register_block_patterns() {
	$call_center_services_block_pattern_categories = array(
		'call-center-services'    => array( 'label' => __( 'Call Center Services', 'call-center-services' ) ),
	);

	$call_center_services_block_pattern_categories = apply_filters( 'call_center_services_block_pattern_categories', $call_center_services_block_pattern_categories );

	foreach ( $call_center_services_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'call_center_services_register_block_patterns', 9 );
